## groovy.swing.factory
Class CollectionFactory

This returns a mutable java.util.Collection of some sort, to which items are added.

Constructor Summary
`CollectionFactory()`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Constructor Detail

### CollectionFactory

    CollectionFactory()

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)